define([
    'jquery',
	'domReady'
], function ($ , domReady) {
    'use strict';

    //creating jquery widget
    $.widget('filoblu.backToTop', {
        _create: function () {
			this._super();

			var that = this, 
				buttonMargin = parseInt($('#maincontent').css('marginRight')) / 2;

			if ($('body').scrollTop() > 150 || $('html').scrollTop() > 150) {
				$('.dsn-back-to-top').show();
			} else {
				$('.dsn-back-to-top').hide();
			}

			$('.dsn-back-to-top').on('click', function () {
				$('html, body').animate({scrollTop: 0}, 800);
				return false;
			});

			//
			// Events
			// ----------------------------------------------------------------
			domReady(function () {
				if ($(w).width() > 1440) {
					$(that.element).css('margin-right' , buttonMargin);
				}else{
					$(that.element).css('margin-right' , 0);
				}

				$(w).on('scroll' , function(){
					if ($('body').scrollTop() > 150 || $('html').scrollTop() > 150) {
						$('.dsn-back-to-top').show();
					} else {
						$('.dsn-back-to-top').hide();
					}
				});
	
				$(w).on('resize' , function (){
					buttonMargin = parseInt($('#maincontent').css('marginRight')) / 2;
					if ($(w).width() > 1440) {
						$(that.element).css('margin-right' , buttonMargin);
					}else{
						$(that.element).css('margin-right' , 0);
					}
				});
			});
        }
    });

    return $.filoblu.backToTop;
});